Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.POAManagerPackage
Class State

    java.lang.Object
      org.omg.PortableServer.POAManagerPackage.State

All Implemented Interfaces:
  Serializable, IDLEntity

    public class State

extends Object
implements IDLEntity

Specifies the states for the POAManager

Field Summary
`static int` | `_ACTIVE`
`static int` | `_DISCARDING`
`static int` | `_HOLDING`
`static int` | `_INACTIVE`
`static State` | `ACTIVE`
`static State` | `DISCARDING`
`static State` | `HOLDING`
`static State` | `INACTIVE`

Constructor Summary
`protected` | `State(int value)`

Method Summary
`static State` | `from_int(int value)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _HOLDING

    public static final int _HOLDING

See Also:
  Constant Field Values

### HOLDING

    public static final State HOLDING

### _ACTIVE

    public static final int _ACTIVE

See Also:
  Constant Field Values

### ACTIVE

    public static final State ACTIVE

### _DISCARDING

    public static final int _DISCARDING

See Also:
  Constant Field Values

### DISCARDING

    public static final State DISCARDING

### _INACTIVE

    public static final int _INACTIVE

See Also:
  Constant Field Values

### INACTIVE

    public static final State INACTIVE

Constructor Detail

### State

    protected State(int value)

Method Detail

### value

    public int value()

### from_int

    public static State from_int(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.